/*
 * Livewallpaper
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (C) 2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>
 */

#ifndef ADD_KEY_H
#define ADD_KEY_H

#include "main.h"

#define BOX()													            \
	/* Create a GtkBox which will contain the key's label and widget */		\
    tmpBox = gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);                   \
    gtk_widget_set_tooltip_text (tmpBox, _(gkey->description));				\
    gtk_box_pack_start (GTK_BOX(tmpBox),                                    \
                        gtk_label_new (_(gkey->summary)), FALSE, FALSE, 8); \
                                                                            \
	/* Reset button */														\
    ctl = gtk_button_new_from_stock (GTK_STOCK_CLEAR);                      \
    gtk_widget_set_tooltip_text (ctl, _("Reset key to the default value")); \
    /* Disable focus */														\
    gtk_button_set_focus_on_click (GTK_BUTTON(ctl), FALSE);                 \
    /* Join the key name to the widget and bind the signal "clicked" */		\
    g_object_set_data(G_OBJECT(ctl), "key", g_strdup(gkey->name));			\
	g_signal_connect (ctl, "clicked", (GCallback)reset_key, settings);	    \
                                                                            \
    gtk_box_pack_end (GTK_BOX(tmpBox), ctl, FALSE, FALSE, 8);               \
    gtk_box_pack_start (box, tmpBox, FALSE, FALSE, 0);

void add_key   (GSettings *, GtkBox *, Key *);
void reset_key (GtkWidget *, GSettings *);

void cb_bind_set_value (GtkWidget *, GSettings *);
void cb_bind_get_value (GSettings *, gchar *, GtkWidget *);

#endif /* ADD_KEY_H */
