/*
 * Livewallpaper
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (C) 2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>
 */

#ifndef MAIN_H
#define MAIN_H

#include <locale.h>
#include <libintl.h>
#include <string.h>
#include <gtk/gtk.h>

typedef struct
{
	gboolean skip;				/* If TRUE, don't show the key in this GUI */
    gchar type;					/* The GVariant data type or our specific type if ambiguous */
    gfloat min, max, inc;		/* Range of a numeric value and increment step by click */
    guint digits;				/* Number of decimals displayed for a double value */
    gchar name[32],				/* Name of the key */
		  enum_id[128],			/* name of the enum which matches to the key if type == 'e' */
		  summary[256],			/* Summary of the key */
          description[512];		/* Long description of the key */
} Key;

#include "config.h"
#include "loader.h"

#endif /* MAIN_H */
